View Issue Details

IDProjectCategoryView StatusLast Update
0035419LazarusLCLpublic2019-05-19 08:48
ReportergucaoAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSwin10OS Version
Product Version2.0.2Product Build 
Target VersionFixed in Version 
Summary0035419: CustomDBComboBox OnChange invalid
Descriptionin the customdbcombobox.inc
in the procedure TCustomDBComboBox.Change;
lost inherited Change;
I'm not sure it's a problem here
when I add inherited Change; that ok.
TagsOnChange, TDBLookupComboBox
Fixed in Revisionr61129, r61245
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2019-04-24 20:46

developer   ~0115781

What kind of bug is caused by leaving out "inherited Change;"?

> I'm not sure it's a problem here

This is a bug tracker. You should be sure and provide steps to reproduce the bug.

gucao

2019-04-25 02:59

reporter   ~0115795

when DBLookupComboBox1.Text is chenged,i will to get some list with the dblookupcomboBox1.KeyValue;
  TCustomDBComboBox.change is override from TCustomComboBox
  but In the implementation section of TCustomDBComboBox.change loss "inherited Change;"

gucao

2019-04-25 03:04

reporter  

Demo.rar (127,537 bytes)

Juha Manninen

2019-05-03 22:15

developer   ~0115988

Last edited: 2019-05-03 22:39

View 4 revisions

The demo is there. I removed the note listing all the sources.
Yes, the bug was real. I added the call to inherited. Please test.

Jesus Reyes

2019-05-19 08:48

developer   ~0116253

I reverted the patch in r61129, while it fixed the problem for a unbound dblookupcombobox it broke dbcombobox.

The dbcombobox control do not have an unbound mode (unbound in this case means that the control will not affect a linked field) as the dblookupcombobox has.
If the dbcombobox do not enter editing state by typing something on it, then the event should not be triggered! but the patch do unconditionally trigger the event. That is why knowing if the dataset will enter edit state is deferred until all other possible events are triggered. If later is found that OnChange should have been called, it is then triggered.

A dblookupcombobox problem should have been fixed in dblookupcombobox code as in the 61245 revision. Please test.

Issue History

Date Modified Username Field Change
2019-04-19 14:12 gucao New Issue
2019-04-19 15:37 gucao Tag Attached: OnChange
2019-04-19 15:37 gucao Tag Attached: TDBLookupComboBox
2019-04-24 20:46 Juha Manninen Note Added: 0115781
2019-04-25 02:59 gucao Note Added: 0115795
2019-04-25 03:04 gucao File Added: Demo.rar
2019-05-03 22:15 Juha Manninen Note Added: 0115988
2019-05-03 22:17 Juha Manninen Note Edited: 0115988 View Revisions
2019-05-03 22:38 Juha Manninen Note Edited: 0115988 View Revisions
2019-05-03 22:38 Juha Manninen Assigned To => Juha Manninen
2019-05-03 22:38 Juha Manninen Status new => resolved
2019-05-03 22:38 Juha Manninen Resolution open => fixed
2019-05-03 22:38 Juha Manninen Fixed in Revision => r61129
2019-05-03 22:38 Juha Manninen LazTarget => -
2019-05-03 22:38 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2019-05-03 22:39 Juha Manninen Note Edited: 0115988 View Revisions
2019-05-19 08:48 Jesus Reyes Fixed in Revision r61129 => r61129, r61245
2019-05-19 08:48 Jesus Reyes Widgetset Win32/Win64 => Win32/Win64
2019-05-19 08:48 Jesus Reyes Note Added: 0116253